<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xmgps.tsms.auth.api.mapper.TaskMessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.TaskMessage">
        <id column="id" property="id"/>
        <result column="name" property="name"/>
        <result column="memo" property="memo"/>
        <result column="collect_type" property="collectType"/>
        <result column="retry_key" property="retryKey"/>
        <result column="json_str" property="jsonStr"/>
        <result column="source" property="source"/>
        <result column="state" property="state"/>
        <result column="error_msg" property="errorMsg"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
                id, name, memo, collect_type, retry_key, json_str, source, state, error_msg, create_time, update_time
            </sql>

</mapper>
